/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3) 
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details. 
 */

package org.dive4elements.river.client.server.auth.was;

import java.util.Date;
import java.util.List;

import org.dive4elements.river.client.server.auth.DefaultUser;
import org.dive4elements.river.client.server.auth.saml.Assertion;

public class User
extends DefaultUser
implements org.dive4elements.river.client.server.auth.User {

    private Assertion assertion;

    public User(String name,
        String       password,
        String       account,
        List<String> roles,
        Assertion    assertion,
        List<String> features
    ) {
        this.setName(name);
        this.setPassword(password);
        this.setRoles(roles);
        this.assertion = assertion;
        this.setAllowedFeatures(features);
        this.setAccount(account);
    }

    @Override
    public boolean hasExpired() {
        Date until = this.assertion.getUntil();
        if (until != null) {
            Date current = new Date();
            return !current.after(until);
        }
        return false;
    }
}

// vim:set ts=4 sw=4 si et fenc=utf8 tw=80:
